Bug 1159845 (CVE-2014-8627, CVE-2014-8628) - CVE-2014-8627 CVE-2014-8628 polarssl: various issues fixed in 1.3.9
Summary: CVE-2014-8627 CVE-2014-8628 polarssl: various issues fixed in 1.3.9
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-8627, CVE-2014-8628
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141022,reported=2...
Depends On: 1159847 1159848
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-03 13:48 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:15 UTC (History)
3 users (show)

Fixed In Version: polarssl 1.3.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:35:39 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-03 13:48:21 UTC
PolarSSL 1.3.9 released [1].
From release notes:
...
On the security front this release fixes a mistake in the negotiation introduced in PolarSSL 1.3.8. The mistake resulted in servers negotiating a weaker signature algorithm than available. In addition two remotely-triggerable memory leaks were found by the Codenomicon Defensics tool and fixed in this release.
...

[1]: https://polarssl.org/tech-updates/releases/polarssl-1.3.9-released

Comment 1 Vasyl Kaigorodov 2014-11-03 13:49:03 UTC
Created polarssl tracking bugs for this issue:

Affects: fedora-all [bug 1159847]
Affects: epel-all [bug 1159848]

Comment 2 Morten Stevens 2014-11-03 13:59:25 UTC
@Vasyl

This was introduced in PolarSSL 1.3.8?

PolarSSL Fedora:

FC19: 1.2.11 (not affected)
FC20: 1.2.11 (not affected)
FC21: 1.3.8 (affected)
FC22: 1.3.8 (affected)

PolarSSL EPEL:

EL5: 1.3.2 (not affected)
EL6: 1.3.2 (not affected)
EL7: 1.3.8 (affected)

Comment 3 Fedora Update System 2014-11-10 06:00:21 UTC
polarssl-1.3.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Murray McAllister 2014-11-12 07:04:33 UTC
MITRE assigned CVE-2014-8627 to the negotiation issue, and CVE-2014-8628 to the two memory leaks:

http://seclists.org/oss-sec/2014/q4/541

Comment 5 Murray McAllister 2014-11-12 07:23:14 UTC
(In reply to Morten Stevens from comment #2)
> @Vasyl
> 
> This was introduced in PolarSSL 1.3.8?
> 
> PolarSSL Fedora:
> 
> FC19: 1.2.11 (not affected)
> FC20: 1.2.11 (not affected)
> FC21: 1.3.8 (affected)
> FC22: 1.3.8 (affected)
> 
> PolarSSL EPEL:
> 
> EL5: 1.3.2 (not affected)
> EL6: 1.3.2 (not affected)
> EL7: 1.3.8 (affected)

Hi Morten,

The upstream advisory makes it sound like the negotiation issue was introduced in 1.3.8. I'm less sure about the two memory issues. These look like the fixes:

https://github.com/polarssl/polarssl/commit/43c3b28ca6d22f51951e2bd563df039a9f4289ab

https://github.com/polarssl/polarssl/commit/5d8618539f8e186c1b2c1b5a548d6f85936fe41f

From a very brief look, "Fix memory leak while parsing some X.509 certs" looks like it would affect 1.2.11-1.fc20.

For the "Fix memory leak with crafted ClientHello" issue, the ssl_parse_supported_elliptic_curves functions is missing from 1.2.11-1.fc20 (not sure if there is similar, affected code elsewhere with a different name though)

Comment 6 Paul Bakker 2014-11-12 13:00:22 UTC
Lead Maintainer for PolarSSL here.

The negotiation issue was only introduced in 1.3.8, so does not affect any older versions.

Both the memory leaks also affect PolarSSL 1.3.2.

For 1.2.11 I would expect it to be updated with the released 1.2.12, which contains a back-port of the relevant memory leak. Or at least the patched used from that release.

Comment 7 Morten Stevens 2014-11-17 13:05:33 UTC
(In reply to Murray McAllister from comment #5)

> The upstream advisory makes it sound like the negotiation issue was
> introduced in 1.3.8. I'm less sure about the two memory issues. These look
> like the fixes:
> 
> https://github.com/polarssl/polarssl/commit/
> 43c3b28ca6d22f51951e2bd563df039a9f4289ab
> 
> https://github.com/polarssl/polarssl/commit/
> 5d8618539f8e186c1b2c1b5a548d6f85936fe41f
> 
> From a very brief look, "Fix memory leak while parsing some X.509 certs"
> looks like it would affect 1.2.11-1.fc20.
> 
> For the "Fix memory leak with crafted ClientHello" issue, the
> ssl_parse_supported_elliptic_curves functions is missing from 1.2.11-1.fc20
> (not sure if there is similar, affected code elsewhere with a different name
> though)

All right. Here are the updates for Fedora 19 and 20: 

https://admin.fedoraproject.org/updates/FEDORA-2014-14912/polarssl-1.2.12-1.fc19
https://admin.fedoraproject.org/updates/FEDORA-2014-14898/polarssl-1.2.12-1.fc20

Fedora 21:
https://admin.fedoraproject.org/updates/FEDORA-2014-14201/polarssl-1.3.9-1.fc21

Fedora EPEL 5:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3983/polarssl-1.3.2-3.el5

Fedora EPEL 6:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3975/polarssl-1.3.2-3.el6

Fedora EPEL 7:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3794/polarssl-1.3.9-2.el7

Comment 8 Fedora Update System 2014-11-22 12:42:59 UTC
polarssl-1.2.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-11-22 12:45:20 UTC
polarssl-1.2.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-11-25 20:08:15 UTC
polarssl-1.3.9-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-11-30 19:16:29 UTC
polarssl-1.3.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-30 19:21:32 UTC
polarssl-1.3.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Product Security DevOps Team 2019-06-08 02:35:39 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.